ghc-7.0.3: The GHC API

NCGMonad

# Documentation

data NatM_State Source

Constructors

NatM_State |

Fields

natm_us :: UniqSupply
natm_delta :: Int
natm_imports :: [CLabel]
natm_pic :: Maybe Reg
natm_dflags :: DynFlags

mkNatM_State :: UniqSupply -> Int -> DynFlags -> NatM_State Source

data NatM result Source

Instances

Monad NatM |

initNat :: NatM_State -> NatM a -> (a, NatM_State)Source

addImportNat :: CLabel -> NatM ()Source

getUniqueNat :: NatM Unique Source

mapAccumLNat :: (acc -> x -> NatM (acc, y)) -> acc -> [x] -> NatM (acc, [y])Source

setDeltaNat :: Int -> NatM ()Source

getDeltaNat :: NatM Int Source

getBlockIdNat :: NatM BlockId Source

getNewLabelNat :: NatM CLabel Source

getNewRegNat :: Size -> NatM Reg Source

getNewRegPairNat :: Size -> NatM (Reg, Reg)Source

getPicBaseMaybeNat :: NatM (Maybe Reg)Source

getPicBaseNat :: Size -> NatM Reg Source

getDynFlagsNat :: NatM DynFlags Source